{$APPTYPE CONSOLE}

program drum_mail;
var
  a, b, c, d: array[1..1000] of integer;
  e, f: array[1..2000] of integer;
  p: array[1..4000] of integer;
  num: array[1..4000] of byte;
  ps: array[1..4000] of boolean;
  s: array[1..2] of boolean;
  n, m, k: integer;
  cnt: integer;
  i, j: integer;

  procedure swap_int(var a, b: integer);
  var
    tmp: integer;
  begin
    tmp := a;
    a := b;
    b := tmp;
  end;

  procedure swap_byte(var a, b: byte);
  var
    tmp: byte;
  begin
    tmp := a;
    a := b;
    b := tmp;
  end;

  procedure swap_bool(var a, b: boolean);
  var
    tmp: boolean;
  begin
    tmp := a;
    a := b;
    b := tmp;
  end;

begin
  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);

  assert(not SeekEof(input));
  read(n);
  assert((n >= 1) and (n <= 1000));
  for i := 1 to n do
  begin
    assert(not SeekEof(input));
    read(a[i]);
    assert(not SeekEof(input));
    read(b[i]);
    assert((0 <= a[i]) and (a[i] < b[i]) and (b[i] <= 10000));
  end;
  for i := 1 to n-1 do
    assert(b[i] < a[i+1]);
  assert(not SeekEof(input));
  read(m);
  assert((m >= 1) and (m <= 1000));
  for i := 1 to m do
  begin
    assert(not SeekEof(input));
    read(c[i]);
    assert(not SeekEof(input));
    read(d[i]);
    assert((0 <= c[i]) and (c[i] < d[i]) and (d[i] <= 10000));
  end;
  for i := 1 to m-1 do
    assert(d[i] < c[i+1]);
  assert(SeekEof(input));

  cnt := 0;
  for i := 1 to n do
  begin
    inc(cnt);
    p[cnt] := a[i];
    num[cnt] := 1;
    ps[cnt] := true;
    inc(cnt);
    p[cnt] := b[i];
    num[cnt] := 1;
    ps[cnt] := false;
  end;
  for i := 1 to m do
  begin
    inc(cnt);
    p[cnt] := c[i];
    num[cnt] := 2;
    ps[cnt] := true;
    inc(cnt);
    p[cnt] := d[i];
    num[cnt] := 2;
    ps[cnt] := false;
  end;

  for i := 1 to cnt do
  begin
    for j := i+1 to cnt do
    begin
      if (p[i] > p[j]) then
      begin
        swap_int(p[i], p[j]);
        swap_byte(num[i], num[j]);
        swap_bool(ps[i], ps[j]);
      end;
    end;
  end;

  k := 0;
  s[1] := false;
  s[2] := false;
  for i := 1 to cnt do
  begin
    if (s[1] and s[2]) then
    begin
      if (p[i-1] < p[i]) then
      begin
        inc(k);
        e[k] := p[i-1];
        f[k] := p[i];
      end;
    end;
    s[num[i]] := ps[i];
  end;

  writeln(k);
  for i := 1 to k do
    writeln(e[i], ' ', f[i]);

  close(input);
  close(output);
end.